'use strict';

const defaultI18n = require('./default-i18n-072e75d7.js');
require('./index-20b57ec7.js');

const zones = {
  ca_gst: {
    label: defaultI18n.__('GST Number', 'surecart'),
    label_small: defaultI18n.__('CA GST', 'surecart'),
  },
  au_abn: {
    label: defaultI18n.__('ABN Number', 'surecart'),
    label_small: defaultI18n.__('AU ABN', 'surecart'),
  },
  gb_vat: {
    label: defaultI18n.__('VAT Number', 'surecart'),
    label_small: defaultI18n.__('UK VAT', 'surecart'),
  },
  eu_vat: {
    label: defaultI18n.__('VAT Number', 'surecart'),
    label_small: defaultI18n.__('EU VAT', 'surecart'),
  },
  other: {
    label: defaultI18n.__('Tax ID', 'surecart'),
    label_small: defaultI18n.__('Other', 'surecart'),
  },
};
const getType = key => {
  key = key ? key.toUpperCase() : key;
  if (key === 'CA') {
    return 'ca_gst';
  }
  if (key === 'AU') {
    return 'au_abn';
  }
  if (key === 'GB') {
    return 'gb_vat';
  }
  if (['AT', 'BE', 'BG', 'HR', 'CY', 'CZ', 'DK', 'EE', 'FI', 'FR', 'DE', 'EL', 'HU', 'IE', 'IT', 'LV', 'LT', 'LU', 'MT', 'NL', 'PL', 'RO', 'SK', 'SI', 'ES', 'SE'].includes(key)) {
    return 'eu_vat';
  }
  return null;
};

exports.getType = getType;
exports.zones = zones;
